#include "tag.h"

const char *tag_open[Tag_Count] = {
    "<Error>",
    "<U>", "<B>", "<EM>", "<I>", "<S>", "<TT>", "<0>", "<1>",
    "<2>", "<3>", "<4>", "<5>", "<6>", "<7>", "<8>", "<9>",
    "<r>", "<g>", "<b>", "<w>", "<c>", "<m>", "<y>", "<k>",
    "<PL>"
};

const char *tag_close[Tag_Count] = {
    "</Error>",
    "</U>", "</B>", "</EM>", "</I>", "</S>", "</TT>", "</0>", "</1>",
    "</2>", "</3>", "</4>", "</5>", "</6>", "</7>", "</8>", "</9>",
    "</r>", "</g>", "</b>", "</w>", "</c>", "</m>", "</y>", "</k>",
    "</PL>"
};

const int tag_cost[Tag_Count] = {
    0,
    7, 7, 9, 7, 7, 9, 7, 7,
    7, 7, 7, 7, 7, 7, 7, 7,
    7, 7, 7, 7, 7, 7, 7, 7,
    9
};

TagTypes TagType_for_color(char color)
{
    switch(color) {
	case 'r': return Tag_r;
	case 'g': return Tag_g;
	case 'b': return Tag_b;
	case 'w': return Tag_w;
	case 'c': return Tag_c;
	case 'm': return Tag_m;
	case 'y': return Tag_y;
	case 'k': return Tag_k;
	default: return 0;
    }
}

